wcd(1)

NAAM
wcd - Wherever Change Directory

chdir voor DOS en Unix

OVERZICHT
    wcd [opties] [map]

BESCHRIJVING

  Overzicht
Wcd is een commandoregel-programma om snel van map te wijzigen. Het bespaart tijd tijdens het typen. Men hoeft alleen maar een deel van de mapnaam te typen en wcd springt er heen. Wcd heeft een snelle keuzemethode wanneer er meerdere treffers zijn, en biedt de mogelijkheid om aliassen van mappen aan te maken en om mappen in de ban te doen. Wcd biedt ook een schermvullende interactieve boomweergave met snelzoekfunctie.

Wcd is gemodelleerd naar Norton Change Directory (NCD). NCD verscheen voor het eerst in The Norton Utilities, Release 4, for DOS in 1987, gepubliceerd door Peter Norton.

Wcd is geschikt gemaakt voor verschillende commandoregel-shells: DOS command.com, Windows cmd.exe en PowerShell, OS/2 cmd.exe, en Unix-shells zoals Bourne (sh), Bourne Again (bash), Korn (ksh), Z (zsh), en C (csh) shell en anderen draaiend op elk besturingssysteem.

Wcd ondersteunt 8-bits tekensets op alle systemen, en heeft optioneel ondersteuning voor Unicode. Zie de sectie LOKALISATIE.

Zie de sectie INSTALLATIE voor hoe wcd voor persoonlijk gebruik in te stellen.

  Basisgebruik
Standaard, wanneer geen jokertekens gebruikt worden, zoekt wcd een map met een naam die begint met de naam die getypt is.

Bijvoorbeeld, deze opdracht zal wijzigen naar de map "/home/user/Desktop" van de huidige gebruiker:

    wcd Desk

Wanneer er meerdere treffers zijn zal wcd een lijst presenteren van alle treffers. De gebruiker kan een keuze maken met enkele toetsaanslagen (meestal één).

  Jokertekens
Wcd ondersteunt de volgende jokertekens:

    *       komt overeen met een willekeurige reeks van tekens (nul of meer)
    ?       komt overeen met een willekeurig teken
    [SET]   komt overeen met een van de tekens in deze set
    [!SET]  of [^SET]  komt overeen met een van de tekens NIET in deze set

Een set wordt samengesteld uit tekens of reeksen; een reeks ziet er uit als teken koppelteken teken zoals in "0-9" of "A-Z". "[0-9a-zA-Z_]" is de minimale set van tekens toegestaan in een "[..]"-patroonsamenstelling. Internationale tekens (d.w.z. 8-bit tekens) zijn toegestaan als het systeem ze ondersteunt. Om de speciale syntactische betekenis van elk van de tekens "[]*?!^-\" binnen of buiten een "[..]"-samenstelling te onderdrukken en de exacte overeenkomst te treffen, laat het teken vooraf gaan door een backslash ("\").

Het gebruik van jokertekens maakt krachtige zoekmethodes mogelijk. Bijvoorbeeld, dit komt overeen met elke mapnaam die eindigt op "top":

    wcd *top

Dit komt overeen met mappen die ergens "top" in de naam hebben:

    wcd *top*

Komt overeen met elke map die begint met een "a", "b" of "c":

    wcd [a-c]*

Het is ook mogelijk om een deel van het pad op te geven. Hier zoekt Wcd naar een map die begint met "Desk" en wiens pad overeenkomt met *me/Desk*.

    wcd me/Desk

Het is toegestaan om jokertekens en schuine strepen te gebruiken waar dan ook in het patroon. Bijvoorbeeld:

    wcd src*/*1?/a*2

  Overig gebruik
Wanneer geen jokertekens gebruikt zijn en wcd vindt een exacte treffer,dan zullen alle niet-exacte treffers genegeerd worden. Dit gedrag kan gewijzigd worden met de -w-optie.

De interactieve mappenverkenner kan met de optie -g gestart worden.

    wcd -g

Wcd genereert een boomdata-bestand waarin de map gezocht wordt. Op Unix en Windows voegt wcd ook symbolische koppelingen toe wanneer de schijf gescand wordt, maar deze worden niet gevolgd. Wanneer symbolische koppelingen gevolgd worden, zou wcd oneindige lussen kunnen scannen, of zeer grote delen van een netwerk.

Wcd kan ook wijzigen naar mappen die niet in het boomdata-bestand staan. Bijvoorbeeld:

    wcd ..

Wanneer wcd een treffer heeft gevonden, maar niet naar de map kan wijzigen, probeert hij deze te verwijderen uit het standaard boomdata-bestand. Niet uit het extra boomdata-bestand. Zie ook optie -k.

Wcd houdt een mappenstapel bij die opgeslagen wordt op schijf. De stapel heeft een standaard grootte van 10 en is cyclisch. Zie opties -z, -, + en =.

In een omgeving met meerdere gebruikers kan optie -u gebruikt worden om naar mappen van andere gebruikers te wijzigen.

Op DOS- en Windows-systemen maakt het niet uit of een slash "/" of een backslash "\" als mappen-scheidingsteken gebruikt wordt.

Het is mogelijk op DOS- en Windows-systemen om tegelijk van schijf en map te wijzigen door de mapnaam vooraf te laten gaan door de schijfnaam.

    wcd d:games

  Windows UNC paden
De Windows versies (Opdrachtprompt, PowerShell, MSYS, zsh, Cygwin) ondersteunen Windows SMB LAN UNC paden zonder schijfletter, zoals "\\servername\sharename". Wcd voor de Opdrachtprompt maakt gebruik van het "pushd" commando om automatisch een UNC pad toe te wijzen aan een schijfletter. In Windows PowerShell, MSYS, zsh en Cygwin worden UNC paden volledig ondersteund. De huidige werkmap kan een UNC pad zijn.

  Console-grootteverandering op Windows
Wcd ondersteunt het veranderen van de console-grootte in Windows 10-console en in ConEmu (zie <https://conemu.github.io/>) sinds versie 6.0.3. De Windows 10-console mag niet in legacy-modus zijn (controleer de console-eigenschappen). Het scherm wordt mogelijk niet ververst wanneer de console-vormgevingseigenschap "Tekst herschikken bij grootteverandering" uitgeschakeld is. Het scherm kan handmatig ververst worden met de F5-toets.

  Interfaces
Wcd heeft drie verschillende interfaces om uit een lijst van treffers te kiezen. De interface kan gekozen worden bij het bouwen van Wcd.

De eerste interface gebruikt standaardinvoer en -uitvoer. Een genummerde lijst wordt in de terminal getoond. De gebruiker kan kiezen uit de lijst door een nummber te typen gevolgd door <Enter>. Deze interface biedt geen terugbladermogelijkhied bij een lange lijst. De terugbladerfunctie van de terminal/console moet gebruikt worden. Deze interface is klein en overdraagbaar.

De tweede interface is gebouwd met de conio-bibliotheek. Het biedt een ingebouwde terugbladerfunctie. De gebruiker wordt een lijst gepresenteerd, genummerd met letters. Het kiezen uit de lijst kan gedaan worden met een enkele toetsaanslag van een letter. Deze interface is snel, omdat het toetsaanslagen bespaart. Indien mogelijk wordt het scherm hersteld na afsluiten. Iemand die prefereert nummers te typen kan de -N-optie gebruiken.

De derde interface is gebouwd met de curses-bibliotheek en lijkt op de conio-interface. De curses-versie van wcd heeft een extra 'grafische' interface. Het laat de gebruiker een map kiezen via een volledig-scherm interactieve mappenboomverkenner. Het heeft een vim(1)-achtige navigatie en zoekmethode. Deze verkenner kan geactiveerd worden met de optie -g.

Door de -o-optie te gebruiken kan men altijd terugvallen op de standaardinvoer/-uitvoer-interface.

OPTIES

-a  Voeg huidig pad to aan het standaard boomdata-bestand.

    Gebruik deze optie om snel het huidige pad toe te voegen aan het standaard boomdata-bestand. Het opnieuw scannen van de complete schijf kan soms lang duren.

-aa Voeg het huidige en alle bovenliggende paden toe aan het standaard boomdata-bestand.

-A PAD
    Scan mappenboom vanaf PATH en voeg toe aan het standaard boomdata-bestand. Voorbeelden:

        wcd -A .
        wcd -A /home -A /etc
        wcd -A d: -A e: -A \\server\share

    Op Windows kan men alle gedeelde mappen van een Windows LAN server scannen door iets te typen als: "wcd -A \\servername".

    Zie ook opties -S en -s en -E.

-b  Verban het huidige pad.

    Wcd plaatst het huidige pad in het ban-bestand. Dit betekent dat wcd alle treffers van deze map en zijn sub-mappen negeert.

    Het ban-bestand kan gewijzigd worden met een tekstbewerker. Gebruik van jokertekens wordt ondersteund en namen worden vergeleken met het volledige pad.

    Verbannen paden worden niet uitgesloten van het scannen van de schijf. Gebruik optie -xf om dat te doen.

-c, --direct-cd
    Directe CD modus. Standaard werkt wcd als volgt:

        1. Probeer een treffer te vinden in een boomdata-bestand.
        2. Wanneer geen treffer, probeer het getypte pad te openen.

    In directe CD modus werkt wcd in omgekeerde volgorde.

        1. Probeer het getypte pad te openen.
        2. Indien niet gelukt, probeer een treffer te vinden in een boomdata-bestand.

-d SCHIJF
    Stel schijf in voor stapel- en go-script (alleen DOS).

    Het stapelbestand en go-script worden standaard opgeslagen op schijf C: wanneer omgevingsvariabele HOME niet ingesteld is. Gebruik deze optie wanneer SCHIJF een alleen-lezen schijf is. Deze optie moet gebruikt worden vooraf aan stapelopties -, + en =.

-e  Voeg huidig pad toe aan het extra boomdata-bestand.

    Gebruik deze optie om snel het huidige toe te voegen aan het extra boomdata-bestand.

-ee Voeg het huidige en alle bovenliggende paden toe aan het extra boomdata-bestand.

-E PAD
    Scan mappenboom vanaf PAD en voeg het toe aan het Extra boomdata-bestand.Zie ook opties -A en -S.

-f BESTAND
    Lees boomdata-bestand BESTAND. Lees niet het standaard boomdata-bestand.

+f BESTAND
    Lees boomdata-bestand BESTAND bovenop het standaard boomdata-bestand.

-g  Grafische interface (alleen in versie met curses-interface).

    Wcd start een tekstuele, op curses gebaseerde 'grafische' interface. De gebruiker kan een map selecteren via een volledig-scherm interactieve mappenverkenner. Het heeft een vim(1)-achtige navigatie en zoekmethode.

    Wanneer geen zoekstring gegeven is presenteert wcd de gehele boom die in het standaard en het extra boomdata-bestand staat.

    Wanneer een zoekstring gegeven is wordt de trefferlijst gepresenteerd als een mappenboom

    De standaard boom opmaak is gelijk aan de boomopmaak van de originele NCD op DOS. Het verschil in opmaak is dat in NCD alle mappen van dezelfde diepteniveau verticaal uitgelijnd waren over de hele boom. Dit was mogelijk in NCD, omdat de maximale breedte van een mapnaam in DOS 12 (8.3) tekens was. Op moderne besturingssystemen kunnen namen erg lang zijn. Daarom zijn mappen met dezelfde diepte in wcd niet verticaal uitgelijnd over de hele boom, maar alleen in sub-takken. Daarom is er wat zijdelingse beweging wanneer recht omhoog of omlaag bewogen wordt van de ene sub-tak naar de ander sub-tak.

    Het navigatiegedrag in wcd is exact hetzelfde als in de originele NCD. Bijvoorbeeld wanneer u op de Omlaag-knop drukt gaat u omlaag naar de volgende map met dezelfde diepte, springend over takken. Dit maakt snelle navigatie door de boom mogelijk.

    Zie opties -Ta, -TC, en -TC om het navigatiegedrag te veranderen.

-gd Dump de boomdatabestanden als een boom naar standaarduitvoer.

-G PAD
    Schrijf go-script in map PAD. Bijvoorbeeld op Unix, "wcd -G PAD" zal een go-script schrijven in PAD/wcd.go.

-GN, --no-go-script
    Maak geen go-script aan. Deze optie kan gebruikt worden in combinatie met de optie -j wanneer men wil dat wcd geen go-script aanmaakt.

-h, --help
    Toon helptext en sluit af.

-i, --ignore-case
    Hoofdletterongevoelig. DOS en Windows versies van wcd zijn standaard hoofdletterongevoelig. Unix/Cygwin versies zijn standaard hoofdlettergevoelig.

+i, --no-ignore-case
    Hoofdlettergevoelig. Zie ook optie -i.

-I, --ignore-diacritics
    Diakritische tekens op Latijnse lettertekens negeren. Letters met een diakritisch teken komen overeen met hun basisletter zonder diakritisch teken. De volgende Latijnse coderingen worden ondersteund: CP437, CP850, CP852, CP1250, CP1252, ISO-8859-1, ISO-8859-2, en Unicode Latin-1, Latin Extended-A, en Latin Extended-B. Zie ook <https://nl.wikipedia.org/wiki/Diakritisch_teken>

+I, --no-ignore-diacritics
    Diakritische tekens respecteren (standaard). Zie ook optie -I.

-j, --just-go
    Ga-nou-maar modus.

    In deze modus zal wcd geen lijst tonen wanneer er meer dan een map is die overeenkomt met de ingegeven map. Wcd zal wijzigen naar de eerste optie. Wanneer wcd opnieuw aangeroepen wordt met hetzelfde argument, zal wcd wijzigen naar de volgende optie, en zo verder.

    Wcd print de doelmap naar standaarduitvoer. Zo kan een andere installatiemethode gebruikt worden. Men zou de volgende functie kunnen maken voor een POSIX-compatibele shell:

        wcd ()
        {
            cd "$($HOME/bin/wcd.exe -j $@)"
        }

    Wanneer u een oude shell gebruikt die geen "$()"-opdrachtvervanging ondersteunt, moet u de oude-stijl opdrachtvervanging gebruiken met accent graves.

        wcd ()
        {
            cd "`$HOME/bin/wcd.exe -j $@`"
        }

    Op Windows systemen, wanneer men 4NT shell draait, kan men de volgende alias maken:

        alias wcd `cd %@execstr[wcdwin32.exe -z 0 -j %1]`

    Deze methode elimineert de noodzaak voor het go-script, zodat men de optie -GN in combinatie met -j kan gebruiken.

-k, --keep-paths
    Bewaar paden.

    Bewaar paden in boomdata-bestanden wanneer wcd er niet naar kan wijzigen. Het standaard gedrag van wcd is dat het probeert de paden te verwijderen uit het boomdata-bestand wanneer wcd niet naar ze kan wijzigen. Met deze optie wordt dit gedrag uitgeschakeld.

-K, --color
    Gebruik kleuren in grafische modus.

-l ALIAS
    Noem het huidige pad ALIAS. Wcd plaatst het huidige pad met alias ALIAS in het alias-bestand. Aliassen zijn hoofdlettergevoelig.

-ls De naam van het alias-bestand tonen en alle aliassen weergeven.

-m MAP
    Maak map en voeg toe aan boomdata-bestand.

-L, --license
    De verspreidingslicentie tonen.

-M MAP
    Maak map en voeg toe aan extra boomdata-bestand.

-n PAD
    Lees relatief boomdata-bestand vanaf PAD.

    Lees niet het standaard boomdata-bestand. Het relatieve boomdata-bestand zou al gemaakt moeten zijn met de wcd optie +S. PAD mag ook direct naar een bestand wijzen.

    Een voorbeeld. Stel dat een ander systeem aangekoppeld is op "/mnt/network":

        wcd -n /mnt/network src

    Wcd opent het relatieve boomdata-bestand in "/mnt/network/". Het bestand bevat de paden relatief vanaf dat punt.

+n PAD
    Lees relatief boomdata-bestand bovenop het standaard boomdata-bestand. Zie optie -n.

-N, --numbers
    Gebruik nummers in plaats van letters.

    Wcd met een conio- of curses-gebaseerde interface (zie de sectie Interfaces) presenteert standaard een trefferlijst genummerd met letters. Wanneer de optie -N is gebruikt, wordt de trefferlijst genummerd met nummers. Onafhankelijk van de optie -N kan men een letter of een nummer typen om een keuze uit de lijst te maken.

-o  De standaardinvoer/-uitvoer-interface gebruiken.

    Wanneer om een of andere reden de conio- of curses-interface van wcd niet werkt kan men terugvallen op de standaardinvoer/-uitvoer-interface van wcd door het gebruik van de -o-optie.

-od, --to-stdout
    Alle treffers dumpen naar standaarduitvoer.

-q, --quiet
    Stillere werking. Het tonen van de uiteindelijke treffer wordt onderdrukt.

-r MAP
    Verwijder map en verwijder uit boomdata-bestand.

    Als de map leeg is zal wcd het verwijderen, en proberen het te verwijderen uit het boomdata-bestand.

-rmtree MAP
    Recursief map verwijderen en verwijderen uit boomdata-bestand.

    Wcd zal de map verwijderen en al zijn sub-mappen en bestanden, en verwijdert de mappen uit het boomdata-bestand.

-s  (her)scannen schijf vanaf $HOME map. Als HOME niet gedefinieerd is, wordt de schijf gescant vanaf hoofdmap /.

    Het bestaande standaard boomdata-bestand is overschreven.

    De standaard scan map kan overstemd worden met omgevingsvariabele "WCDSCAN". Zie sectie OMGEVINGSVARIABELEN.

-S PAD
    Scan mappenboom vanaf PAD en overschrijf het standaard boomdata-bestand. Zie ook opties -A, -s en -E. Bijvoorbeeld, met optie -A kunt u een standaard boomdata-bestand maken naar eigen smaak. Voorbeelden:

    Unix:

        wcd -S /
        wcd -S /home -A /etc -A /usr

    DOS/Windows:

        wcd -S c:/
        wcd -S c: -A d: -A \\server\share

    Met de Windows versies kan men alle gedeelde mappen scannen van een Windows LAN server door iets een typen als: "wcd -S \\servernaam".

+S PAD
    Scan schijf vanaf PAD en plaats relatieve paden in het relatieve boomdata-bestand. Dit bestand wordt gebruikt door de opties -n en +nvan wcd. Bijvoorbeeld: "wcd -n PAD src".

-t  De tijdelijke aankoppelingsmap "/tmp_mnt" niet verwijderen (alleen op Unix)

    Wcd verwijderd standaard "/tmp_mnt/" uit de treffers. Map "/tmp_mnt" wordt gebruikt door de 'auto-mounter'. Dit gedrag kan uitgeschakeld worden met de -t-optie.

-T, --ascii-tree
    Boom tekenen met ASCII-tekens. Gebruik deze optie als lijntekens niet goed getoond worden in de terminal.

-Ta, --alt-tree-nav
    Alternatieve manier van navigeren in de grafische boom.

    In de standaard NCD stijl opmaak zet de -Ta-optie het springen naar ongerelateerde mappen uit.

    In compacte-boom-modus maakt de alternatieve mode de navigatie gelijk aan de navigatie in GUI bestandsverkenners zoals de Windows Verkenner of Linux KDE Konqueror. Omhoog en Omlaag drukken beweegt de geselecteerde map één regel op en neer. Links drukken vouwt eerst de sub-mappen in en de volgende beweging naar links gaat echt naar links.

    U kunt onmiddellijk tussen standaard en alternatief navigeren schakelen door <Shift-A> te drukken.

    Wanneer alternatieve navigatie aan staat, ziet u een "A" in de rechter onderhoek.

-TC, --center-tree
    Gecentreerde weergave in de grafische boom. De geselecteerde map blijft in het midden van het scherm. De gecentreerde modus kan ook aan- en uitgeschakeld worden met de <t> toets in de grafische boom.

    De standaard niet-gecentreerde weergave, die boombeweging minimaliseert, is gelijk aan hoe het in de originele NCD was.

-Tc, --compact-tree
    Standaard wordt de 'grafische' boom getekend op dezelfde manier zoals de originele NCD op DOS het deed. In DOS kon een pad in totaal slechts 66 tekens bevatten. Met de diepe mappenstructuur van vandaag kan de boom erg breed worden. Om dit te beheersen kan wcd de boom op een compacte manier tekenen, gelijk aan de meeste GUI mappenverkenners, met één map per regel. Gebruik optie -Tc of schakel onmiddellijk met de <m> toets.

-Td, --cjk-width
    Oude Oost-Aziatische CJK-fonts (voor Chinees, Japans, en Koreaans) hebben bepaalde letters en lijnsymbolen met een kolombreedte van 2, terwijl de normale Unicode-breedte voor deze tekens 1 kolom is. Bijvoorbeeld het Chinese CP936-rasterfont op Windows en het Simsun-font. Gebruik deze optie voor een juiste uitlijning van de grafische boom wanneer een oud CJK-font gebruikt wordt.

    Wanneer CJK-modus actief is, ziet u een "C" in de rechter onderhoek.

-u GEBRUIKER
    Scan boomdata-bestand van een andere gebruiker gebaseerd op GEBRUIKER, scan niet het eigen boomdata-bestand. Zie ook de sectie OMGEVINGSVARIABELEN voor WCDUSERSHOME.

    Op Unix/Cygwin wordt aangenomen dat de basismap voor de thuismap voor gebruikers "/home" is. Wcd zal zoeken naar "/home/GEBRUIKER/.treedata.wcd" en "/home/GEBRUIKER/.wcd/.treedata.wcd", in deze volgorde, en de eerste lezen die bestaat en leesbaar is. Op DOS/Windows wordt aangenomen dat de basismap voor de thuismap van gebruikers "\\users" is, dus wcd probeert te lezen "\\users\GEBRUIKER\treedata.wcd" en "\\users\GEBRUIKER\.wcd\treedata.wcd".

+u GEBRUIKER
    Lees het standaard boomdata-bestand van GEBRUIKER bovenop uw eigen boomdata-bestand.

-v, --verbose
    Gedetailleerde berichten tonen. Met deze optie toont wcd alle filters, verbannen mappen en uitsluitingen.

-V, --version
    Programmaversie tonen en afsluiten.

-w, --wild-match-only
    Alleen jokervergelijkingen. Behandel alle treffers als jokertreffers.

-x PAD
    PAD uitsluiten van scannen.

    Wanneer deze optie gebruikt is zal wcd PAD uitsluiten en al zijn sub-mappen wanneer wcd een schijf scant. Jokertekens worden ondersteund en vergeleken met absolute paden. Optie -x kan meerder keren gebruikt worden.

        wcd -x <path1> -x <path2> -s

    Optie -x moet vooraf gaan aan elke scanoptie (-s, -S, +S, -A, -E).

    Op DOS-/Windows-systemen moet men de schijfletter specificeren afhankelijk van of omgevingsvariabele HOME or WCDHOME gedefinieerd is. Wanneer HOME of WCDHOME gedefinieerd is moet men de schijfletter specificeren. Een voorbeeld:

        wcd -x c:/temp -S c:

    Specificeer anders geen schijfletter.

        wcd -x /temp -s

-xf BESTAND
    Alle paden uit bestand BESTAND uitsluiten van scannen.

    Wanneer deze optie gebruikt is zal wcd alle paden genoemd in BESTAND uitsluiten en al hun sub-mappen wanneer wcd een schijf scant. Jokertekens worden ondersteund en vergeleken met absolute paden, een pad per regel. Wees bewust dat wcd spaties aan het begin of einde op een regel niet zal negeren, omdat het geldige tekens zijn in een mapnaam. Optie -xf can meerdere keren gebruikt worden. Wanneer men alle verbannen paden wil uitsluiten van scannen zou het volgende gedaan kunnen worden (voorbeeld voor wcd op Unix):

        wcd -xf ~/.ban.wcd -s

    Jokertekens worden ondersteund. Om bijvoorbeeld al uw Subversion mappen met administratieve bestanden uit te sluiten, voeg een regel toe met "*/.svn".

    Optie -xf moet vooraf gaan aan elke scanoptie (-s, -S, +S, -A, -E).

-y, --assume-yes
    Op alle vragen Ja als antwoord aannemen.

    Wcd zal de gebruiker geen ja/nee-vraag stellen, maar neemt aan dat de gebruiker ja antwoordt op alle vragen. Dit kan gebruikt worden in combinatie met optie -rmtree. Deze optie moet voorafgaand gebruikt worden aan opties die tot ja/nee-vragen kunnen leiden.

-z GETAL
    Stel maximum stapelgrootte in op GETAL.

    De standaard grootte van de stapel is 10. Stapelwerking kan uitgezet worden door de grootte op 0 in te stellen. Deze optie moet voorafgaand aan elke stapeloptie (-, +, =) gebruikt worden. Anders wordt de stapelgrootte teruggezet naar de standaard 10.

    Een correcte opdracht is:

        wcd -z 50 -

    De nieuwe stapelgrootte zal 50 zijn, wcd gaat een map terug. Een foute opdracht is:

        wcd - -z 50

    Wcd gaat een map terug, de stapel krijgt de standaard grootte 10. -z 50 wordt genegeerd.

    Voeg deze optie als eerste toe aan uw wcd-alias of -functie. Bijvoorbeeld, voor een POSIX-compatibele shell zou dit zijn:

        wcd ()
        {
            wcd.exe -z 50 "$@"
            . ${WCDHOME:-${HOME}}/bin/wcd.go
        }

-[GETAL]
    Map GETAL keer op stapel zetten. Standaard is een.

    Een map teruggaan. Opdracht "wcd -" gaat een map terug. Voeg een nummer toe om meer mappen terug te gaan. Bijvoorbeeld: "wcd -3". De stapel is cyclisch.

+[GETAL]
    Map GETAL keer van stapel halen. Standaard is één.

    Ga een map vooruit. Opdracht "wcd +" gaat een map vooruit. Voeg een nummer toe om meerdere mappen vooruit te gaan. Bijvoorbeeld: "wcd +2". De stapel is cyclisch.

=   Stapel tonen.

    Gebruik deze optie als u niet meer weet waar u in de stapel zit. De stapel wordt getoond en u kunt een nummer kiezen. De huidige plaats in de stapel is gemarkeerd met een sterretje "*".

INSTALLATIE
De huidige werkmap in een Unix-shell kan alleen gewijzigd worden door de ingebouwde cd(1)-opdracht. Daarom wordt het programma altijd aangeroepen door een functie of alias. De functie of alias leest een script (go-script) in dat gegenereerd is door het wcd programma. Wcd kan alleen werken nadat de functie of alias gedefinieerd is.

Een andere belangrijke invloed op uw installatie is de definitie van de omgevingsvariabelen HOME en WCDHOME. Zie de sectie OMGEVINGSVARIABELEN.

  Installatie voor POSIX-shells
Als wcd geïnstalleerd is met een pakketmanager, is de wcd-functie mogelijk geïnstalleerd in /etc/profile.d en wordt deze automatisch geladen. In dit geval is het niet nodig om zelf een functie te definiëren.

Voor een POSIX-shell (bash, ksh, zsh, etc) op Unix, Linux, Cygwin, of MSYS, voeg de volgende functie toe aan het shell-opstartbestand (bijvoorbeeld, Bash gebruikt "$HOME/.bashrc"):

    wcd ()
    {
        typeset go="${WCDHOME:-${HOME}}/bin/wcd.go"
        rm -f "$go" 2> /dev/null
        PAD/wcd.exe "$@"
        [ -f "$go" ] && . "$go"
    }

Vervang PAD door de locatie waar het uitvoerbare wcd bestand geïnstalleerd is. Laad de shell initialisatiebestanden opnieuw of start een nieuwe shell.

De locatie van het go-script "wcd.go" is anders per shell.

Wcd voor DJGPP DOS bash en OS/2 bash heeft een andere functie nodig. Het go-script wordt niet in map "bin" geschreven, en wanneer WCDHOME en HOME beide niet gedefinieerd zijn wordt het go-script geschreven in c:/.

DOS bash:

    wcd ()
    {
        PAD/wcdbash.exe "$@"
        . ${WCDHOME:-${HOME:-"c:"}}/wcd.go
    }

OS/2 bash

    wcd ()
    {
        PAD/wcddos2bash.exe "$@"
        . ${WCDHOME:-${HOME:-"c:"}}/wcd.go
    }

De WinZsh-versie van wcd heeft een iets andere functie nodig. Het go-script wordt nooit naar c:/ geschreven.

    wcd ()
    {
        PAD/wcdwin32zsh.exe "$@"
        . ${WCDHOME:-${HOME}}/wcd.go
    }

Zie de sectie BESTANDEN voor meer informatie.

  Installatie voor C-achtige shells (csh, tcsh)
Voeg de volgende alias toe aan het shell opstartbestand "$HOME/.cshrc" of "$HOME/.tcshrc":

    if ( ${?WCDHOME} ) then
        alias wcd "PAD/wcd.exe \!* ; source $WCDHOME/bin/wcd.go"
    else
        alias wcd "PAD/wcd.exe \!* ; source $HOME/bin/wcd.go"
    endif

Vervang PAD door de locatie waar het uitvoerbare wcd bestand geïnstalleerd is. Laad de shell initialisatiebestanden opnieuw of start een nieuwe shell.

  Versie voor Windows-Opdrachtprompt
Pak het zip-bestand uit en voeg map "bin" toe aan omgevingsvariabele PATH.

In de Windows-Opdrachtprompt kan een Windows-programma niet de huidige werkmap wijzigen, maar een .bat-bestand kan dat wel. Het batch-script "wcd.bat" draait het wcd-programma dat een nieuw batch-script "wcdgo.bat" genereert. Daarna start "wcd.bat" "wcdgo.bat" die feitelijk de map wijzigt.

  Windows VISTA en hoger
In de Opdrachtprompt van Windows VISTA en hoger kan men beperkte toegang hebben tot mappen. Om toegang tot meer mappen te verkrijgen heeft men beheerdersrechten nodig. U kunt een Opdrachtprompt met beheerdersrechten verkrijgen door rechts te klikken op het Opdrachtprompt icoon en dan te selecteren Als Administrator uitvoeren.

  Windows PowerShell versie
Voeg de volgende functie toe aan uw PowerShell gebruikersprofiel. De locatie van dit profiel is opgeslagen in de $profile variabele. Het is vereist dat omgevingsvariabele HOME of WCDHOME gedefinieerd is.

    function wcd
    {
        PAD\wcdwin32psh.exe $args
        & $env:HOME\wcdgo.ps1
    }

Vervang PAD met de locatie waar het uitvoerbare wcd bestand geïnstalleerd is. Start een nieuwe PowerShell. Wcd voor PowerShell ondersteund alleen de bestandssysteem 'provider'. Geen andere 'providers'.

  Versie voor OS/2-opdrachtprompt
In een OS/2-opdrachtprompt (cmd.exe) kan een OS/2-programma niet de huidige werkmap wijzigen. Dat is waarom wcd een opdracht-script genereert "wcdgo.cmd" welke uitgevoerd moet worden in de huidige shell. Het script "wcd.cmd" voert eerst "wcdos2.exe" uit, die vervolgens het "wcdgo.cmd" script creëert. Daarna voert "wcd.cmd" het "wcdgo.cmd" script uit.

LOKALISATIE

LANG
    The primaire taal wordt geselecteerd via de omgevingsvariabele LANG. De variabele LANG bestaat uit verschillende onderdelen. Het eerste deel is in kleine letters de taalcode. Het tweede deel is optioneel en is de landcode in hoofdletters, voorafgegaan door een liggend streepje. Er is ook een optioneel derde deel: de tekencodering, voorafgegaan door een punt. Enkele voorbeelden voor een POSIX-shell:

        export LANG=nl               Nederlands
        export LANG=nl_NL            Nederlands, Nederland
        export LANG=nl_BE            Nederlands, België
        export LANG=es_ES            Spaans, Spanje
        export LANG=es_MX            Spaans, Mexico
        export LANG=en_US.iso88591   Engels, VS, Latin-1 codering

    Voor een volledige lijst van taal- en landcodes zie de gettext(1) handleiding: <https://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes> Op Unix-systemen kunt u de opdracht locale(1) gebruiken om informatie over de taalregio te verkrijgen.

LANGUAGE
    Met de omgevingsvariabele LANGUAGE kunt u een prioriteitenlijst specificeren van talen, gescheiden door dubbele punten. (Wcd geeft voorrang aan LANGUAGE boven LANG). Bijvoorbeeld, eerst Nederlands en dan Duits: "LANGUAGE=nl:de". U moet eerst lokalisatie activeren, door het instellen van LANG of LC_ALL op een waarde ongelijk aan "C", voordat u een talen-prioriteitenlijst kunt gebruiken via de variabele LANGUAGE. Zie ook de gettext(1) handleiding: <https://www.gnu.org/software/gettext/manual/gettext.html#The-LANGUAGE-variable>

    Als u een taal kiest die niet beschikbaar is, worden de standaard Engelse berichten gebruikt.

WCDLOCALEDIR
    Met de omgevingsvariabele WCDLOCALEDIR kan de LOCALEDIR die ingesteld werd tijdens compilatie worden overstemd. LOCALEDIR wordt gebruikt om de taalbestanden te vinden. De GNU standaardwaarde is "/usr/local/share/locale". Door "wcd -V" te typen zal wcd de gebruikte LOCALEDIR tonen.

    Als u wcd geïnstalleerd hebt in een andere map dan de standaardmap kan het nodig zijn om omgevingsvariabele WCDLOCALEDIR te definiëren om te wijzen naar de locale map.

    Een voorbeeld voor Windows cmd:

        set WCDLOCALEDIR=c:/my_prefix/share/locale

    Een voorbeeld voor een POSIX-shell:

        export WCDLOCALEDIR=$HOME/share/locale

LC_COLLATE
    Wanneer er meerdere maptreffers zijn presenteert wcd een gesorteerde lijst. Het sorteren hangt af van de lokalisatie instellingen. Wanneer de omgevingsvariabele LANG ingesteld is worden de treffers gesorteerd als in een woordenboek of telefoonboek in die taal. Bijvoorbeeld punten en streepjes worden genegeerd, of letters e met en zonder accent zijn gelijk, of sortering is ongevoelig voor hoofd en kleine letters.

    De sortering geeft prioriteit aan omgevingsvariabele LC_COLLATE boven LANG. Wanneer u LC_COLLATE gelijk maakt aan "C" of "POSIX", wordt sortering met lokalisatie uitgeschakeld. Bijvoorbeeld als u Nederlandse taal wilt, maar geen Nederlandse sortering, dan kunt u iets doen als:

        export LANG=nl_NL
        export LC_COLLATE=C

LC_CTYPE
    Met betrekking to tekencodering geeft Wcd prioriteit aan variabele LC_CTYPE boven LANG. Bijvoorbeeld om de tekencodering op UTF-8 te zetten kan de volgende omgevings-instelling gemaakt worden.

        export LC_CTYPE=en_US.UTF-8

LC_ALL
    Alle lokalisatie omgevingsvariabelen die beginnen met LC worden overstemd de omgevingsvariabele LC_ALL wanneer die ingesteld is. Wcd geeft prioriteit aan LC_ALL boven LC_COLLATE en LC_CTYPE.

  WINDOWS CODETABELLEN
Er zijn twee groepen van codetabellen, DOS-codetabellen (OEM) en Windows-codetabellen (ANSI). De standaard codering voor Windows, wanneer geconfigureerd met westerse regionale instellingen, is ANSI CP1252. Windows-programma's, bijvoorbeeld Kladblok, gebruiken deze standaard systeem ANSI-codetabel. De Windows-Opdrachtprompt gebruikt standaard een OEM-codetabel (CP437 of CP850) voor compatibiliteit met DOS-programma's. Als u een DOS-versie van wcd in een Windows-Opdrachtprompt gebruikt zal het werken, vanwege de DOS-codetabel. Maar de DOS-versie van wcd ontbeert ondersteuning voor lange mapnamen en netwerkschijven op Windows.

De Windows-versie van wcd is een echt Windows-programma en zal de Windows systeem ANSI-codetabel gebruiken. Dus op een Westers regionale Windows zal het de codetabel CP1252 gebruiken voor mapnamen en berichten. Om een consistente uitvoer te verkrijgen, onafhankelijk van de ingestelde codetabel, vertalen alle Windows-versies van wcd ANSI-uitvoer naar Unicode-uitvoer in de Opdrachtprompt en PowerShell.

Het Opdrachtprompt-rasterfont ondersteunt alleen de originele OEM-codetabel van Windows, dus u dient het Opdrachtprompt-lettertype te veranderen naar Lucida Console om Unicode (en ANSI) tekens correct te laten verschijnen.

Niet-Unicode versies van Wcd voorafgaande aan versie 5.2.0 gebruiken gewone ANSI-uitvoer. Voor deze oude versie moet de codetabel van de Opdrachtprompt gelijk gemaakt worden aan de systeem-codetabel (naar 1252) om wcd voor Windows goed te laten werken met speciale tekens zoals geaccentueerde tekens of een euroteken.

De Windows systeemcodetabel kan veranderd worden via het Configuratiescherm Klok, taal en land/regio opties. De Windows-Opdrachtprompt-codetabel wordt veranderd met de "chcp" opdracht.

Wanneer u "wcd -V" typt, wordt de actuele tekencodering getoond die door wcd gebruikt wordt. Typ de opdracht "chcp" om de actieve codetabel van de Opdrachtprompt te tonen.

  UNICODE
Wcd heeft optioneel ondersteuning voor Unicode. Om te zien of wcd gebouwd is met Unicode ondersteuning, typt u: "wcd -V". Als uw terminal en lettertype het ondersteunen, zou u een euroteken en Chinese tekens (betekenis: "Chinees") moeten zien.

Wcd is zacht omgezet naar Unicode. In de kern behandelt wcd alle data als een stroom van bytes. Alleen de regels die op het scherm getoond worden, worden terstond omgezet naar Unicode brede tekens. Wcd steunt volledig op libc-functies en heeft geen UTF-8-specifieke broncode. Zie ook <https://www.cl.cam.ac.uk/~mgk25/unicode.html>

Wcd heeft optioneel ondersteuning voor Unicode-vergelijkingen met normalisatie. Om er achter te komen of Wcd normalisatie ondersteunt, typt u: "wcd -V". Wcd met Unicode-normalisatie ondersteuning vergelijkt Unicode-namen gebaseerd op compatibele gelijkwaardigheid. Zonder Unicode-normalisatie worden namen als gelijk gezien wanneer ze binair gelijk zijn. Zie ook <https://en.wikipedia.org/wiki/Unicode_normalization>

UTF-8 op Unix/Linux

Om UTF-8 tekens te zien moet uw terminal ook UTF-8 ondersteunen. De xterm-versie die meekomt met XFree86 4.0 of hoger bevat UTF-8 ondersteuning. Om het te activeren, start xterm(1) in een UTF-8 taalregio en gebruik een lettertype met iso10646-1 codering, bijvoorbeeld met

    LC_CTYPE=en_GB.UTF-8 xterm -u8 -fn '-Misc-Fixed-Medium-R-SemiCondensed--13-120-75-75-C-60-ISO10646-1'

Moderne uitgaves van GNU/Linux ondersteunen standaard UTF-8. Andere multi-byte tekencoderingen zouden ook moeten werken, maar dat is niet getest.

Wcd veronderstelt dat de boomdata-bestanden gecodeerd zijn in de lokale tekencodering. Er worden geen Byte Order Marks geschreven in de boomdata-bestanden.

UTF-16 op Windows

Op Windows wordt Unicode in alle versies van PowerShell ondersteund, en in Windows-Opdrachtprompt op Windows 7 (of hoger). Unicode werkt ook in Take Command of TCC/LE gemaakt door JP Software, dat gebruikt kan worden op oudere Windows versies (XP/Vista).

In Windows zijn alle mapnamen op schijf gecodeerd in UTF-16 Unicode. Voor niet-Unicode Windows programma's worden de tekens vertaald naar de standaard ANSI-codetabel. Voor tekens die geen onderdeel zijn van de regionale instelling is de vertaling niet mogelijk en niet-Unicode programma's tonen in plaats daarvan een vraagteken of een verkeerd teken.

Wcd met Unicode ondersteuning leest de UTF-16-gecodeerde mappennamen en zet ze intern om naar UTF-8. Alle boomdata-bestanden zijn gecodeerd in UTF-8 en niet compatibel met de niet-Unicode versie van Wcd. Wcd zal een go-script aanmaken gecodeerd in UTF-8.

Alle versies van Windows PowerShell zijn in staat om in UTF-8 gecodeerde scripts te draaien, indien het script is voorzien van een UTF-8 BOM.

Sinds Windows 7 is het mogelijk om in Windows-Opdrachtprompt van map te wijzigen met een batch script naar een map met Unicode-tekens in de naam. De mapnaam moet gecodeerd zijn in UTF-8, en het batch script moet geen BOM bevatten. De actieve codetabel van de Opdrachtprompt moet ingesteld zijn op 65001 (UTF-8) vooraf aan de cd-opdracht. Wcd voor Opdrachtprompt creëert zo'n go-script "wcdgo.bat". Eerst verandert het de codetabel naar 65001, wijzigt dan de map, en tenslotte wordt de codetabel terug gezet naar de originele waarde.

U dient het lettertype in te stellen op True Type Lucida Console (geen rasterlettertype) wanneer de letters niet correct verschijnen.

De niet-Unicode Windows-versie van Wcd kan Unicode boomdata-bestanden lezen sinds versie 5.2.0, indien er een Byte Order Mark (BOM) in het bestand zit (zie <https://en.wikipedia.org/wiki/Byte_order_mark>), maar kan niet wijzigen naar mappen met Unicode-tekens in de naam die geen onderdeel zijn van de standaard systeem ANSI-codetabel. De Unicode Windows-versie van wcd schrijft een BOM in het UTF-8-gecodeerde boomdata-bestand sinds versie 5.2.0, wat ze ook leesbaar maakt voor kladblok.

UTF-8 in Cygwin

Cygwin ondersteunt Unicode sinds versie 1.7. De Cygwin-laag zorgt er voor dat de Windows UTF-16-Unicode-namen vertaald worden naar UTF-8. Dus programma's, zoals wcd, hoeven hier niet bewust van te zijn en kunnen werken gebruikmakend van UTF-8 codering als op Unix/Linux. Stel de tekencodering in op UTF-8 met de LANG of LC_CTYPE omgevingsvariabele. Het kan nodig zijn dat u de schijven opnieuw moet scannen. U dient het lettertype in te stellen op True Type Lucida Console (geen rasterlettertype) wanneer u de standaard Cygwin-console gebruikt.

De Cygwin-versie gedraagt zich exact gelijk aan de Unix-versie van wcd. Er wordt geen BOM geschreven in de boomdata-bestanden, en er wordt aangenomen dat ze gecodeerd zijn in de Cygwin-taalregiotekencodering.

BESTANDEN
Wanneer omgevingsvariabele WCDHOME ingesteld is zal wcd WCDHOME gebruiken in plaats van HOME. Alle "*.wcd" bestanden zijn tekstbestanden. Ze kunnen bewerkt worden met een tekstbewerker. De Windows-Opdrachtprompt-versie gedraagt zich als de DOS-versie. De Cygwin-versie van wcd gedraagt zich als de Unix-versie.

wcd.exe
    Het programma. In Unix-shells wordt het programma altijd aangeroepen door een functie of alias, omdat de huidige werkmap alleen gewijzigd kan worden door de ingebouwde cd-opdracht. Zie ook de sectie INSTALLATIE.

standaard boomdata-bestand
    Dit is het standaard boomdata-bestand waarin wcd zoekt naar treffers. Wanneer het niet leesbaar is zal wcd een nieuwe aanmaken.

        DOS: \treedata.wcd of %HOME%\treedata.wcd
        Unix: $HOME/.treedata.wcd

extra boomdata-bestand
    Een optioneel extra boomdata-bestand. Wanneer het bestaat en leesbaar is zal wcd ook in dit bestand proberen treffers te vinden.

        DOS: \extra.wcd of HOME%\extra.wcd
        Unix: $HOME/.extra.wcd

ban-bestand
    In dit optionele bestand plaatst wcd de verbannen paden. Zie optie -b. Jokertekens worden ondersteund.

        DOS: \ban.wcd of %HOME%\ban.wcd
        Unix: $HOME/.ban.wcd

alias-bestand
    Optioneel bestand met wcd aliassen. Zie optie -I.

        DOS: \alias.wcd of %HOME%\alias.wcd
        Unix: $HOME/.alias.wcd

stapel-bestand
    In dit bestand slaat wcd zijn stapel op. De schijfletter kan veranderd worden met de -d-optie.

        DOS: c:\stack.wcd of %HOME%\stack.wcd
        Unix: $HOME/.stack.wcd

    De naam van het stapelbestand kan veranderd worden met omgevingsvariabele WCDSTACKFILE. Zie de sectie OMGEVINGSVARIABELEN.

go-script
    Dit is het shell-script dat wcd elke keer creëert. Het wordt ingelezen via een functie of een alias. De schijfletter kan gewijzigd worden met de -d-optie. Wegens voorgeschiedenis redenen wordt het standaard geplaatst in "$HOME/bin" op Unix systemen. De map van dit bestand kan gewijzigd worden met de optie -G.

        DOS bash: c:/wcd.go  of  $HOME/wcd.go
        Windows-Opdrachtprompt: c:\wcdgo.bat  of  %HOME%\wcdgo.bat
        Windows PowerShell: $env:HOME\wcdgo.ps1
        WinZsh: $HOME/wcd.go
        Cygwin/MSYS: $HOME/bin/wcd.go
        OS/2-opdrachtprompt: c:\wcdgo.cmd  of  %HOME%\wcdgo.cmd
        OS/2 bash: c:/wcd.go  of  $HOME/wcd.go
        Unix: $HOME/bin/wcd.go

relatieve boomdata-bestand
    Tekstbestand met relatieve paden vanaf MAP. Zie opties +S, -n en +n.

        DOS: PAD\rtdata.wcd
        Unix: PAD/.rtdata.wcd

OMGEVINGSVARIABELEN

HOME
    Wcd gebruikt standaard de omgevingsvariabele HOME om te bepalen waar z'n bestanden op te slaan. Zie ook de sectie BESTANDEN. Dit kan overstemd worden met omgevingsvariabele WCDHOME.

    HOME bepaalt ook waar te beginnen met het scannen van de schijf wanneer optie -s gebruikt wordt. Dit kan overstemd worden met omgevingsvariabele WCDSCAN.

    Voor de Unix, Cygwin, Windows PowerShell, WinZsh en MSYS versie is het vereist dat HOME of WCDHOME ingesteld is. Voor de andere versies van wcd is het gebruik van deze variabelen optioneel.

    Wanneer HOME ingesteld is op DOS/Windows, zal wcd al zijn bestanden (treedata.wcd, extra.wcd, alias.wcd, ban.wcd, wcd.go) in map HOME plaatsen. Het gedrag van wcd is dan gelijk aan de Unix versie van wcd. Wcd zal de schijf standaard scannen vanaf HOME. Schijven worden niet automatisch gescant door er naar te wijzigen. Dat moet wcd expliciet opgedragen worden. Bijvoorbeeld:

        wcd -S c: -A d: -A e:

    Vergelijken van mappen is nu globaal over alle gescande schijven.

WCDHOME
    Omgevingsvariabele WCDHOME kan gebruikt worden om de locatie van wcds bestanden te wijzigen. Wanneer zowel HOME als WCDHOME ingesteld zijn, zal WCDHOME gebruikt worden in plaats van HOME.

    In wcd versies voorafgaand aan 5.1.5 veranderde WCDHOME ook de standaard scan-map. Dit is veranderd. Sinds versie 5.1.5 verandert WCDHOME niet de standaard scan-map. Zie optie -s. Gebruik vanaf versie 5.1.5 omgevingsvariabele WCDSCAN om de standaard scan-map te overstemmen.

    Voorbeeld voor DOS, Windows, OS/2 Opdrachtprompt:

        set WCDHOME=C:\Users\erwin\wcd

    Een voorbeeld voor POSIX-type shells:

        export WCDHOME="$HOME/.wcd"

    Een voorbeeld voor Csh-type shells:

        setenv WCDHOME "$HOME/.wcd"

WCDSCAN
    Gebruik omgevingsvariabele WCDSCAN om de standaard scan-map HOME te overstemmen. Gebruik een door dubbele punten gescheiden lijst (Unix) om meer dan een map te definiëren. Gebruik op DOS/Windows een lijst gescheiden door puntkomma's.

    Voorbeelden voor DOS, Windows, OS/2 Opdrachtprompt:

        set WCDSCAN=C:\Users\erwin;D:\data

        set WCDSCAN=%HOMEDRIVE%%HOMEPATH%;\\projectdrive\projectX

    Een voorbeeld voor POSIX-type shells:

        export WCDSCAN="$HOME:/projectdisk/projectX"

    Een voorbeeld voor Csh-type shells:

        setenv WCDSCAN "$HOME:/projectdisk/projectX"

WCDFILTER
    Specificeer filters met omgevingsvariabele WCDFILTER. Alle mappen die niet treffen met het filter worden genegeerd. Een lijst kan gespecificeerd worden met het shell pad scheidingsteken. Gelijk aan het specificeren van de PATH variabele. Hoofdlettergevoeligheid wordt bepaald door het besturingssysteem.

    Een voorbeeld voor DOS-, Windows-, OS/2-opdrachtprompt:

        set WCDFILTER=projects;doc

    Een voorbeeld voor POSIX-type shells:

        export WCDFILTER="projects:doc"

    Een voorbeeld voor Csh-type shells:

        setenv WCDFILTER "projects:doc"

WCDBAN
    De paden gespecificeerd met omgevingsvariabele WCDBAN worden verbannen door wcd. Zie ook optie -b. Specificeer een lijst van paden met het shell PATH scheidingsteken.

WCDEXCLUDE
    De paden gespecificeerd met omgevingsvariabele WCDEXCLUDE worden uitgesloten door wcd. Zie ook opties -x en -xf. Specificeer een lijst van paden met het shell PATH scheidingsteken.

    Een voorbeeld voor DOS-, Windows-, OS/2-opdrachtprompt:

        set WCDEXCLUDE=*/windows;*/temp;*CVS

    Een voorbeeld voor POSIX-type shells:

        export WCDEXCLUDE="/dev:/tmp:*CVS"

    Een voorbeeld voor Csh-type shells:

        setenv WCDEXCLUDE "/dev:/tmp:*CVS"

WCDUSERSHOME
    Stel de basis in de de thuismappen van de gebruikers. Op DOS/Windows is de standaard waarde "\\users". Op Unix/Cygwin is de standaard waarde "/home". Deze variabele wordt gebruikt om boomdata-bestanden van andere gebruikers te scannen. Zie ook opties -u en +u. In gedetailleerde uitvoer-modus zal wcd alle filters, verbanningen en uitsluitingen tonen. Zie ook optie -v.

WCDSTACKFILE
    Wcd geeft prioriteit aan WCDSTACKFILE boven de standaard stapelbestandsnaam (zie de sectie BESTANDEN). Met deze variabele kan elke shell (of terminal) zijn eigen privéstapel voor mappen hebben.

    Om een uniek tijdgebaseerde YYYYMMDD-HHMMSS bestand voor elke geopende interactieve shell te gebruiken.

        export WCDSTACKFILE=$HOME/.wcd/stack.$(date +%Y%m%d-%H%M%S)

    Voor een stapel per xterm(1), gebruik de xterm omgevingsvariabele WINDOWID:

        export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOWID

    Voor GNU screen(1), gebruik een stapel per scherm:

        export WCDSTACKFILE=$HOME/.wcd/stack.$WINDOW

TERMINFO
    Wanneer omgevingsvariabele TERMINFO ingesteld is, controleert wcd met ncurses interface of er lokale terminal definities zijn voor op de standaard plek te kijken. Dit is nuttig wanneer terminal definities niet op een standaard plaats staan. Veel gebruikte standaard plaatsen zijn "/usr/lib/terminfo" en "/usr/share/terminfo".

PDC_RESTORE_SCREEN
    Wcd met de PDCurses-interface herkent de omgevingsvariabele PDC_RESTORE_SCREEN. Wanneer deze omgevingsvariabele ingesteld is, zal PDCurses een kopie maken van de inhoud van het scherm op het moment dat wcd gestart wordt. Wanneer wcd afsluit zal het scherm hersteld worden. Een voorbeeld voor Windows-Opdrachtprompt:

        set PDC_RESTORE_SCREEN=1

    Onder Windows kan slechts een kleine buffer opgeslagen worden. Daardoor is het niet altijd mogelijk om alles te herstellen. Er kan wat rommel in de console getoond worden als wcd afsluit wanneer u een grote bufferbreedte hebt ingesteld.

SHELL
    Het printen van "#!$SHELL" op de de eerste regel van het go-script voor POSIX type shell of C shell is nodig voor 8 bit tekens. Sommige shells denken anders dat het go-script een binair bestand is en willen het niet inlezen. In Cygwin Bash moet de variabele SHELL ingesteld zijn met de "export"-opdracht, anders kan wcd de variabele niet lezen.

BASH
    Wcd voor DOS bash gebruikt $BASH in plaats van $SHELL, omdat $SHELL verwijst naar de DOS-opdrachtprompt. Het kan nodig zijn dat men $BASH met een "export"-opdracht moet definiëren, anders kan wcd de variabele niet lezen.

ZIE OOK
sh(1), bash(1), csh(1), ksh(1), zsh(1), locale(1), ncurses(1),

AUTEURS
Wcd is geschreven door Erwin Waterlander <waterlan@xs4all.nl>

Projectpagina: <https://waterlan.home.xs4all.nl/wcd/>

SourceForge: <https://sourceforge.net/projects/wcd/>

De opmaak van de handleiding werd verzorgd door Jari Aalto <jari.aalto@cante.net>.

NCD werd oorspronkelijk geschreven door Brad Kingsbury voor Peter Nortons "Norton Utilities" omstreeks 1987. Zie ook <https://www.softpanorama.org/OFM/norton_change_directory_clones.shtml>